summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/autopoint-2
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-09-05 15:14:04 +0900
committerDaiki Ueno <ueno@gnu.org>2014-09-05 15:22:16 +0900
commit892692a6c57e8a8d10cca6ccda907c4c488a6ca4 (patch)
tree9b90245bdeb2d4f2d4767df80d297be64cc2ee92 /gettext-tools/tests/autopoint-2
parent761098f61214e68d214ff058c69d3a621a37eb03 (diff)
downloadexternal_gettext-892692a6c57e8a8d10cca6ccda907c4c488a6ca4.zip
external_gettext-892692a6c57e8a8d10cca6ccda907c4c488a6ca4.tar.gz
external_gettext-892692a6c57e8a8d10cca6ccda907c4c488a6ca4.tar.bz2
tests: Improve error handling in autopoint tests
Diffstat (limited to 'gettext-tools/tests/autopoint-2')
-rwxr-xr-xgettext-tools/tests/autopoint-212
1 files changed, 8 insertions, 4 deletions
diff --git a/gettext-tools/tests/autopoint-2 b/gettext-tools/tests/autopoint-2
index f7cdab1..30cc4e0 100755
--- a/gettext-tools/tests/autopoint-2
+++ b/gettext-tools/tests/autopoint-2
@@ -36,7 +36,8 @@ AC_CONFIG_FILES([po/Makefile.in])
AC_OUTPUT
EOF
-$gettext_datadir/autopoint >/dev/null 2>/dev/null || exit 1
+$gettext_datadir/autopoint >/dev/null 2>autopoint.err
+test $? = 0 || { cat autopoint.err; exit 1; }
test ! -d intl || exit 1
test -d m4 || exit 1
@@ -63,7 +64,8 @@ AC_CONFIG_FILES([po/Makefile.in])
AC_OUTPUT
EOF
-$gettext_datadir/autopoint >/dev/null 2>/dev/null || exit 1
+$gettext_datadir/autopoint >/dev/null 2>autopoint.err
+test $? = 0 || { cat autopoint.err; exit 1; }
test -d intl || exit 1
test -d m4 || exit 1
@@ -95,7 +97,8 @@ AC_CONFIG_FILES([po/Makefile.in])
AC_OUTPUT
EOF
-$gettext_datadir/autopoint >/dev/null 2>/dev/null || exit 1
+$gettext_datadir/autopoint >/dev/null 2>autopoint.err
+test $? = 0 || { cat autopoint.err; exit 1; }
test ! -d intl || exit 1
test ! -d m4 || exit 1
@@ -122,7 +125,8 @@ AC_CONFIG_FILES([po/Makefile.in])
AC_OUTPUT
EOF
-$gettext_datadir/autopoint >/dev/null 2>/dev/null || exit 1
+$gettext_datadir/autopoint >/dev/null 2>autopoint.err
+test $? = 0 || { cat autopoint.err; exit 1; }
test ! -d intl || exit 1
test -d m4 || exit 1